<?php

namespace Lol\Lol2345;

use DB;
use Illuminate\Database\Seeder;

class GroupTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('groups')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lol2345.group.view',
                'name'      => 'View Group',
            ],
            [
                'slug'      => 'lol2345.group.create',
                'name'      => 'Create Group',
            ],
            [
                'slug'      => 'lol2345.group.edit',
                'name'      => 'Update Group',
            ],
            [
                'slug'      => 'lol2345.group.delete',
                'name'      => 'Delete Group',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lol2345.group.verify',
                'name'      => 'Verify Group',
            ],
            [
                'slug'      => 'lol2345.group.approve',
                'name'      => 'Approve Group',
            ],
            [
                'slug'      => 'lol2345.group.publish',
                'name'      => 'Publish Group',
            ],
            [
                'slug'      => 'lol2345.group.unpublish',
                'name'      => 'Unpublish Group',
            ],
            [
                'slug'      => 'lol2345.group.cancel',
                'name'      => 'Cancel Group',
            ],
            [
                'slug'      => 'lol2345.group.archive',
                'name'      => 'Archive Group',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lol2345/group',
                'name'        => 'Group',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lol2345/group',
                'name'        => 'Group',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'group',
                'name'        => 'Group',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Lol2345',
                'module'    => 'Group',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lol2345.group.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
