# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/lol/lol2345/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/lol/lol2345/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Lol\\Lol2345\\": "packages/lol/lol2345/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Lol\Lol2345\Providers\Lol2345ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Lol2345'  => Lol\Lol2345\Facades\Lol2345::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Lol\\Lol2345TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Lol\Lol2345\Providers\Lol2345ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Lol\Lol2345\Providers\Lol2345ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Lol\Lol2345\Providers\Lol2345ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/lol2345/{modulename}

**User**

    http://path-to-route-folder/user/lol2345/{modulename}

**Public**

    http://path-to-route-folder/lol2345s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/lol2345/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/lol2345/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/lol2345/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/lol2345/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/lol2345/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/lol2345/{modulename}/{slug}
    METHOD: GET