<?php

namespace Lol\Lol2345\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GroupTransformer extends TransformerAbstract
{
    public function transform(\Lol\Lol2345\Models\Group $group)
    {
        return [
            'id'                => $group->getRouteKey(),
            'key'               => [
                'public'    => $group->getPublicKey(),
                'route'     => $group->getRouteKey(),
            ], 
            'Name'              => $group->Name,
            'curator_id'        => $group->curator_id,
            'url'               => [
                'public'    => trans_url('lol2345/'.$group->getPublicKey()),
                'user'      => guard_url('lol2345/group/'.$group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$group->status),
            'created_at'        => format_date($group->created_at),
            'updated_at'        => format_date($group->updated_at),
        ];
    }
}